Package com.xebialabs.xlrelease.security

## Class XLReleasePermissions

- java.lang.Object
- - com.xebialabs.deployit.security.permission.PlatformPermissions
  - - com.xebialabs.xlrelease.security.XLReleasePermissions

-     public class XLReleasePermissions
      extends com.xebialabs.deployit.security.permission.PlatformPermissions

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static com.xebialabs.deployit.security.permission.Permission` | `ABORT_RELEASE` |
    `static com.xebialabs.deployit.security.permission.Permission` | `ABORT_WORKFLOW_EXECUTION` |
    `static java.lang.String` | `ADMIN_USERNAME` |
    `static com.xebialabs.deployit.security.permission.Permission` | `ADVANCE_TASK_TRANSITION` |
    `static com.xebialabs.deployit.security.permission.Permission` | `APPLY_FOLDER_CHANGES` |
    `static com.xebialabs.deployit.security.permission.Permission` | `AUDIT_ALL` |
    `static java.lang.String` | `AUTHENTICATED_USER` |
    `static com.xebialabs.deployit.security.permission.Permission` | `CREATE_DASHBOARD` |
    `static com.xebialabs.deployit.security.permission.Permission` | `CREATE_RELEASE` |
    `static com.xebialabs.deployit.security.permission.Permission` | `CREATE_RELEASE_FROM_TEMPLATE` |
    `static com.xebialabs.deployit.security.permission.Permission` | `CREATE_RELEASE_IN_ANOTHER_FOLDER` |
    `static com.xebialabs.deployit.security.permission.Permission` | `CREATE_TEMPLATE` |
    `static com.xebialabs.deployit.security.permission.Permission` | `CREATE_TOP_LEVEL_FOLDER` |
    `static com.xebialabs.deployit.security.permission.Permission` | `DUMMY` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_APPLICATION` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_BLACKOUT` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_DASHBOARD` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_DELIVERY_PATTERN` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_DELIVERY_TRACKED_ITEM` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_ENVIRONMENT` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_FOLDER` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_FOLDER_CONFIGURATION` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_FOLDER_NOTIFICATIONS` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_FOLDER_SECURITY` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_FOLDER_TEAMS` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_FOLDER_VARIABLES` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_FOLDER_VERSIONS` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_GLOBAL_BLACKOUT` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_GLOBAL_VARIABLES` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_RELEASE` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_RELEASE_DELIVERY` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_RELEASE_FAILURE_HANDLER` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_RELEASE_GROUP` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_RELEASE_PRECONDITION` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_RELEASE_SECURITY` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_RELEASE_TASK` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_RELEASE_TASK_ATTACHMENT` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_RELEASE_TASK_CONFIGURATION` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_RELEASE_TASK_CONFIGURATION_FACET` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_RELEASE_TASK_SCRIPT` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_RESERVATION` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_RISK_PROFILE` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_TASK_DATES` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_TASK_DESCRIPTION` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_TASK_FLAG` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_TASK_TAGS` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_TEMPLATE` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_TEMPLATE_FAILURE_HANDLER` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_TEMPLATE_PRECONDITION` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_TEMPLATE_SECURITY` |
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_TEMPLATE_TRIGGERS` | Deprecated. Use trigger#edit_trigger instead.
    `static com.xebialabs.deployit.security.permission.Permission` | `EDIT_TRIGGER` |
    `static java.util.Map<com.xebialabs.deployit.security.permission.Permission,​java.lang.Integer>` | `FOLDER_PERMISSION_PRESENTATION_ORDER` |
    `static com.xebialabs.deployit.security.permission.Permission` | `GENERATE_FOLDER_CONFIGURATION` |
    `static java.lang.String` | `GLOBAL_AUTHENTICATED_USERS_ROLE` |
    `static java.util.Map<com.xebialabs.deployit.security.permission.Permission,​java.lang.Integer>` | `GLOBAL_PERMISSION_PRESENTATION_ORDER` |
    `static com.xebialabs.deployit.security.permission.Permission` | `LOCK_RELEASE_TASK` |
    `static com.xebialabs.deployit.security.permission.Permission` | `LOCK_TEMPLATE_TASK` |
    `static com.xebialabs.deployit.security.permission.Permission` | `REASSIGN_RELEASE_TASK` |
    `static com.xebialabs.deployit.security.permission.Permission` | `RESTART_PHASE` |
    `static com.xebialabs.deployit.security.permission.Permission` | `RUNNER_REGISTRATION` |
    `static com.xebialabs.deployit.security.permission.Permission` | `START_RELEASE` |
    `static com.xebialabs.deployit.security.permission.Permission` | `START_WORKFLOW_EXECUTION` |
    `static com.xebialabs.deployit.security.permission.Permission` | `TASK_TRANSITION` |
    `static com.xebialabs.deployit.security.permission.Permission` | `VIEW_APPLICATION` |
    `static com.xebialabs.deployit.security.permission.Permission` | `VIEW_DASHBOARD` |
    `static com.xebialabs.deployit.security.permission.Permission` | `VIEW_DELIVERY_PATTERN` |
    `static com.xebialabs.deployit.security.permission.Permission` | `VIEW_ENVIRONMENT` |
    `static com.xebialabs.deployit.security.permission.Permission` | `VIEW_FOLDER` |
    `static com.xebialabs.deployit.security.permission.Permission` | `VIEW_FOLDER_VERSIONS` |
    `static com.xebialabs.deployit.security.permission.Permission` | `VIEW_RELEASE` |
    `static com.xebialabs.deployit.security.permission.Permission` | `VIEW_RELEASE_DELIVERY` |
    `static com.xebialabs.deployit.security.permission.Permission` | `VIEW_RELEASE_GROUP` |
    `static com.xebialabs.deployit.security.permission.Permission` | `VIEW_REPORTS` |
    `static com.xebialabs.deployit.security.permission.Permission` | `VIEW_TEMPLATE` |
    `static com.xebialabs.deployit.security.permission.Permission` | `VIEW_TRIGGER` |
    `static com.xebialabs.deployit.security.permission.Permission` | `VIEW_WORKFLOW_EXECUTION` |

    - ### Fields inherited from class com.xebialabs.deployit.security.permission.PlatformPermissions

      `ADMIN, EDIT_REPO, EDIT_SECURITY, LOGIN, READ, REPORT_VIEW, VIEW_SECURITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XLReleasePermissions()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.util.List<java.lang.String>` | `getDashboardPermissions()` |
    `static java.util.List<java.lang.String>` | `getDeliveryPermissions()` |
    `static java.util.List<java.lang.String>` | `getFolderPermissions()` |
    `static java.util.List<java.lang.String>` | `getGlobalPermissions()` |
    `static java.util.List<java.lang.String>` | `getReleaseGroupPermissions()` |
    `static java.util.List<java.lang.String>` | `getReleasePermissions()` |
    `static java.util.List<java.lang.String>` | `getTemplateOnlyPermissions()` |
    `static java.util.List<java.lang.String>` | `getTemplatePermissions()` |
    `static java.util.List<java.lang.String>` | `getTriggerPermissions()` |
    `static java.util.List<java.lang.String>` | `getWorkflowExecutionPermissions()` |
    `static void` | `init()` |
    `static boolean` | `isAdmin​(java.lang.String username)` |
    `static void` | `removePermission​(com.xebialabs.deployit.security.permission.Permission permission)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CREATE_TEMPLATE

          public static final com.xebialabs.deployit.security.permission.Permission CREATE_TEMPLATE

    - #### CREATE_RELEASE

          public static final com.xebialabs.deployit.security.permission.Permission CREATE_RELEASE

    - #### VIEW_REPORTS

          public static final com.xebialabs.deployit.security.permission.Permission VIEW_REPORTS

    - #### AUDIT_ALL

          public static final com.xebialabs.deployit.security.permission.Permission AUDIT_ALL

    - #### CREATE_DASHBOARD

          public static final com.xebialabs.deployit.security.permission.Permission CREATE_DASHBOARD

    - #### EDIT_GLOBAL_VARIABLES

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_GLOBAL_VARIABLES

    - #### CREATE_TOP_LEVEL_FOLDER

          public static final com.xebialabs.deployit.security.permission.Permission CREATE_TOP_LEVEL_FOLDER

    - #### EDIT_GLOBAL_BLACKOUT

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_GLOBAL_BLACKOUT

    - #### EDIT_RISK_PROFILE

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_RISK_PROFILE

    - #### EDIT_ENVIRONMENT

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_ENVIRONMENT

    - #### VIEW_ENVIRONMENT

          public static final com.xebialabs.deployit.security.permission.Permission VIEW_ENVIRONMENT

    - #### EDIT_APPLICATION

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_APPLICATION

    - #### VIEW_APPLICATION

          public static final com.xebialabs.deployit.security.permission.Permission VIEW_APPLICATION

    - #### EDIT_RESERVATION

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_RESERVATION

    - #### RUNNER_REGISTRATION

          public static final com.xebialabs.deployit.security.permission.Permission RUNNER_REGISTRATION

    - #### CREATE_RELEASE_FROM_TEMPLATE

          public static final com.xebialabs.deployit.security.permission.Permission CREATE_RELEASE_FROM_TEMPLATE

    - #### CREATE_RELEASE_IN_ANOTHER_FOLDER

          public static final com.xebialabs.deployit.security.permission.Permission CREATE_RELEASE_IN_ANOTHER_FOLDER

    - #### VIEW_TEMPLATE

          public static final com.xebialabs.deployit.security.permission.Permission VIEW_TEMPLATE

    - #### EDIT_TEMPLATE

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_TEMPLATE

    - #### EDIT_TEMPLATE_SECURITY

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_TEMPLATE_SECURITY

    - #### EDIT_TEMPLATE_TRIGGERS

          @Deprecated
          public static final com.xebialabs.deployit.security.permission.Permission EDIT_TEMPLATE_TRIGGERS

      Deprecated.
      Use trigger#edit_trigger instead.
      See REL-9522

    - #### VIEW_RELEASE

          public static final com.xebialabs.deployit.security.permission.Permission VIEW_RELEASE

    - #### EDIT_RELEASE

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_RELEASE

    - #### EDIT_RELEASE_SECURITY

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_RELEASE_SECURITY

    - #### START_RELEASE

          public static final com.xebialabs.deployit.security.permission.Permission START_RELEASE

    - #### ABORT_RELEASE

          public static final com.xebialabs.deployit.security.permission.Permission ABORT_RELEASE

    - #### EDIT_RELEASE_TASK

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_RELEASE_TASK

    - #### EDIT_RELEASE_TASK_SCRIPT

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_RELEASE_TASK_SCRIPT

    - #### EDIT_RELEASE_TASK_CONFIGURATION

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_RELEASE_TASK_CONFIGURATION

    - #### EDIT_RELEASE_TASK_CONFIGURATION_FACET

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_RELEASE_TASK_CONFIGURATION_FACET

    - #### REASSIGN_RELEASE_TASK

          public static final com.xebialabs.deployit.security.permission.Permission REASSIGN_RELEASE_TASK

    - #### EDIT_BLACKOUT

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_BLACKOUT

    - #### TASK_TRANSITION

          public static final com.xebialabs.deployit.security.permission.Permission TASK_TRANSITION

    - #### ADVANCE_TASK_TRANSITION

          public static final com.xebialabs.deployit.security.permission.Permission ADVANCE_TASK_TRANSITION

    - #### EDIT_TASK_TAGS

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_TASK_TAGS

    - #### EDIT_RELEASE_TASK_ATTACHMENT

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_RELEASE_TASK_ATTACHMENT

    - #### EDIT_TASK_DESCRIPTION

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_TASK_DESCRIPTION

    - #### EDIT_TASK_DATES

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_TASK_DATES

    - #### EDIT_TASK_FLAG

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_TASK_FLAG

    - #### RESTART_PHASE

          public static final com.xebialabs.deployit.security.permission.Permission RESTART_PHASE

    - #### VIEW_FOLDER

          public static final com.xebialabs.deployit.security.permission.Permission VIEW_FOLDER

    - #### EDIT_FOLDER

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_FOLDER

    - #### EDIT_FOLDER_SECURITY

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_FOLDER_SECURITY

    - #### EDIT_FOLDER_TEAMS

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_FOLDER_TEAMS

    - #### EDIT_FOLDER_NOTIFICATIONS

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_FOLDER_NOTIFICATIONS

    - #### EDIT_FOLDER_CONFIGURATION

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_FOLDER_CONFIGURATION

    - #### EDIT_FOLDER_VARIABLES

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_FOLDER_VARIABLES

    - #### VIEW_FOLDER_VERSIONS

          public static final com.xebialabs.deployit.security.permission.Permission VIEW_FOLDER_VERSIONS

    - #### EDIT_FOLDER_VERSIONS

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_FOLDER_VERSIONS

    - #### APPLY_FOLDER_CHANGES

          public static final com.xebialabs.deployit.security.permission.Permission APPLY_FOLDER_CHANGES

    - #### GENERATE_FOLDER_CONFIGURATION

          public static final com.xebialabs.deployit.security.permission.Permission GENERATE_FOLDER_CONFIGURATION

    - #### VIEW_RELEASE_DELIVERY

          public static final com.xebialabs.deployit.security.permission.Permission VIEW_RELEASE_DELIVERY

    - #### EDIT_RELEASE_DELIVERY

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_RELEASE_DELIVERY

    - #### EDIT_DELIVERY_TRACKED_ITEM

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_DELIVERY_TRACKED_ITEM

    - #### VIEW_DELIVERY_PATTERN

          public static final com.xebialabs.deployit.security.permission.Permission VIEW_DELIVERY_PATTERN

    - #### EDIT_DELIVERY_PATTERN

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_DELIVERY_PATTERN

    - #### VIEW_RELEASE_GROUP

          public static final com.xebialabs.deployit.security.permission.Permission VIEW_RELEASE_GROUP

    - #### EDIT_RELEASE_GROUP

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_RELEASE_GROUP

    - #### LOCK_RELEASE_TASK

          public static final com.xebialabs.deployit.security.permission.Permission LOCK_RELEASE_TASK

    - #### LOCK_TEMPLATE_TASK

          public static final com.xebialabs.deployit.security.permission.Permission LOCK_TEMPLATE_TASK

    - #### VIEW_DASHBOARD

          public static final com.xebialabs.deployit.security.permission.Permission VIEW_DASHBOARD

    - #### EDIT_DASHBOARD

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_DASHBOARD

    - #### VIEW_TRIGGER

          public static final com.xebialabs.deployit.security.permission.Permission VIEW_TRIGGER

    - #### EDIT_TRIGGER

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_TRIGGER

    - #### EDIT_RELEASE_FAILURE_HANDLER

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_RELEASE_FAILURE_HANDLER

    - #### EDIT_TEMPLATE_FAILURE_HANDLER

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_TEMPLATE_FAILURE_HANDLER

    - #### EDIT_RELEASE_PRECONDITION

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_RELEASE_PRECONDITION

    - #### EDIT_TEMPLATE_PRECONDITION

          public static final com.xebialabs.deployit.security.permission.Permission EDIT_TEMPLATE_PRECONDITION

    - #### VIEW_WORKFLOW_EXECUTION

          public static final com.xebialabs.deployit.security.permission.Permission VIEW_WORKFLOW_EXECUTION

    - #### START_WORKFLOW_EXECUTION

          public static final com.xebialabs.deployit.security.permission.Permission START_WORKFLOW_EXECUTION

    - #### ABORT_WORKFLOW_EXECUTION

          public static final com.xebialabs.deployit.security.permission.Permission ABORT_WORKFLOW_EXECUTION

    - #### DUMMY

          public static final com.xebialabs.deployit.security.permission.Permission DUMMY

    - #### ADMIN_USERNAME

          public static final java.lang.String ADMIN_USERNAME

      See Also:
        Constant Field Values

    - #### AUTHENTICATED_USER

          public static final java.lang.String AUTHENTICATED_USER

      See Also:
        Constant Field Values

    - #### GLOBAL_AUTHENTICATED_USERS_ROLE

          public static final java.lang.String GLOBAL_AUTHENTICATED_USERS_ROLE

      See Also:
        Constant Field Values

    - #### GLOBAL_PERMISSION_PRESENTATION_ORDER

          public static final java.util.Map<com.xebialabs.deployit.security.permission.Permission,​java.lang.Integer> GLOBAL_PERMISSION_PRESENTATION_ORDER

    - #### FOLDER_PERMISSION_PRESENTATION_ORDER

          public static final java.util.Map<com.xebialabs.deployit.security.permission.Permission,​java.lang.Integer> FOLDER_PERMISSION_PRESENTATION_ORDER

  - ### Constructor Detail

    - #### XLReleasePermissions

          public XLReleasePermissions()

  - ### Method Detail

    - #### init

          public static void init()

    - #### removePermission

          public static void removePermission​(com.xebialabs.deployit.security.permission.Permission permission)

    - #### getGlobalPermissions

          public static java.util.List<java.lang.String> getGlobalPermissions()

    - #### getTemplatePermissions

          public static java.util.List<java.lang.String> getTemplatePermissions()

    - #### getReleasePermissions

          public static java.util.List<java.lang.String> getReleasePermissions()

    - #### getTriggerPermissions

          public static java.util.List<java.lang.String> getTriggerPermissions()

    - #### getWorkflowExecutionPermissions

          public static java.util.List<java.lang.String> getWorkflowExecutionPermissions()

    - #### getTemplateOnlyPermissions

          public static java.util.List<java.lang.String> getTemplateOnlyPermissions()

    - #### getFolderPermissions

          public static java.util.List<java.lang.String> getFolderPermissions()

    - #### getReleaseGroupPermissions

          public static java.util.List<java.lang.String> getReleaseGroupPermissions()

    - #### getDeliveryPermissions

          public static java.util.List<java.lang.String> getDeliveryPermissions()

    - #### getDashboardPermissions

          public static java.util.List<java.lang.String> getDashboardPermissions()

    - #### isAdmin

          public static boolean isAdmin​(java.lang.String username)